Bug 171304 - sata_promise: missing PCI ID for SATA300 TX4
sata_promise: missing PCI ID for SATA300 TX4
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks: 181409
  Show dependency treegraph
 
Reported: 2005-10-20 12:21 EDT by Joe Orton
Modified: 2013-07-02 22:25 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2006-0575
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:25:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2005-10-20 12:21:18 EDT
Description of problem:
00:0d.0 Mass storage controller: Promise Technology, Inc. PDC20718 (SATA 300
TX4) (rev 02)

is not picked up by the sata_promise driver.

http://www.hr.kernel.org/pub/linux/kernel/people/akpm/patches/2.6/2.6.13-rc5/2.6.13-rc5-mm1/broken-out/activate-sata300-tx4-in-sata_promise.patch

fixes it.

Version-Release number of selected component (if applicable):
kernel-2.6.9-22.EL

How reproducible:
always

# lspci -v -n -s 00:0d.0
00:0d.0 Class 0180: 105a:3d17 (rev 02)
        Subsystem: 105a:3d17
        Flags: bus master, 66Mhz, medium devsel, latency 72, IRQ 11
        I/O ports at 9800 [size=128]
        I/O ports at 9400 [size=256]
        Memory at f9000000 (32-bit, non-prefetchable) [size=4K]
        Memory at f8800000 (32-bit, non-prefetchable) [size=128K]
        Capabilities: [60] Power Management version 2
Comment 1 John W. Linville 2005-11-04 14:32:05 EST
I have incorporated the patch in the test kernels here: 
 
   http://people.redhat.com/linville/kernels/rhel4/ 
 
Please verify that those kernels properly support the hardware in 
question...thanks! 
Comment 2 Joe Orton 2005-11-07 06:01:30 EST
2.6.9-22.13.EL.jwltest.83 looks good, thanks John.

[root@media ~]# uname -r
2.6.9-22.13.EL.jwltest.83
[root@media ~]# dmesg  
...
scsi5 : sata_promise
  Vendor: ATA       Model: HDS722525VLSA80   Rev: V36O
  Type:   Direct-Access                      ANSI SCSI revision: 05
SCSI device sda: 488397168 512-byte hdwr sectors (250059 MB)
SCSI device sda: drive cache: write back
 sda: sda1
Attached scsi disk sda at scsi3, channel 0, id 0, lun 0
...
Comment 3 John W. Linville 2005-11-07 11:14:26 EST
Looks like jgarzik has this in hand... 
Comment 4 Joe Orton 2006-01-03 10:59:03 EST
Confirmed fixed also in 2.6.9-27.EL though this bug is not referenced from the
%changelog.
Comment 5 Jason Baron 2006-05-01 11:50:30 EDT
committed in stream U4 build 34.27. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 9 Red Hat Bugzilla 2006-08-10 17:25:42 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0575.html

Note You need to log in before you can comment on or make changes to this bug.